db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tiago Espinha <ti...@espinhas.net>
Subject 'Issue' with Eclipse
Date Sat, 14 Mar 2009 13:29:05 GMT
Hey guys, I'm back.

Perhaps some of you still remember me from last year. I applied to GSoC 
on the Apache Derby project and unfortunately ended up not getting 
picked. I still hanged around for a while but I ended up leaving at some 
point. This year I'm back and I'm applying for GSoC again :)

Right now I'm in a bit of a stalemate with an annoying issue that's 
bothering me. I followed all the steps to build Derby's code and to do 
the testing. I am able to build it now and I can also run derbyall with 
no issues (or close to no issues since derbyall skipped derbynetmats, 
jdbcapi and jdbc20). The problem that I am stuck with is actually 
Eclipse-related.

I have sort of imported Derby into Eclipse and I am getting 1559 errors. 
With a quick glance through some of the errors, I notice that some of 
them come from jdbc4 classes, like LogicalCallableStatement40.java . On 
this one I get for example "The method setRowId(int, RowId) is undefined 
for the type CallableStatement" and many more errors.

I remember having something like this last year and it had something to 
do with jdbc4. The problem is that I am clueless as to how to go about 
this. I believe the step-by-step build tutorial I followed last year was 
actually more complete than it is at the moment, and I'm probably 
missing something jdbc4-wise.

If any of you have a hint as to why this is happening, I'd truly 
appreciate it. It's not a complete show-stopper for me but it is 
annoying to have this enormous amount of bugs plaguing my Eclipse.

Thank you for any help,
Tiago Espinha

Mime
View raw message